Subject: [PATCH 1/2] usb: chipidea: usbmisc: skip clocks on i.MX6

From: [email-masked] (Uwe Kleine-König)
Date: Wed, 10 Dec 2014 08:46:17 +0100

Hello Philipp,

On Tue, Dec 09, 2014 at 05:13:35PM +0100, Philipp Zabel wrote:
> +	/* on i.MX6Q, the USBMISC register space is clocked by the IPG clock */
> +	if (data->ops != &imx6q_usbmisc_ops) {
> +		data->clk = devm_clk_get(&pdev->dev, NULL);
I wonder if it was better/simpler to handle devm_clk_get returning
-ENOENT and assume this means there is no need for a clock in this case.

(I think devm_clk_get prints an error message in this case. That's ugly
when the error is handled just fine.)

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-K?nig            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |